org.jbpm.workflow.instance.node

## Class DynamicNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.CompositeNodeInstance
        - - org.jbpm.workflow.instance.node.CompositeContextNodeInstance
          - - org.jbpm.workflow.instance.node.DynamicNodeInstance

- All Implemented Interfaces:
    Serializable, ContextableInstance, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.event.rule.AgendaEventListener, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance, org.kie.api.runtime.process.NodeInstanceContainer

      public class DynamicNodeInstance
      extends CompositeContextNodeInstance
      implements org.kie.api.event.rule.AgendaEventListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListeners()`
    `void` | `afterMatchFired(org.kie.api.event.rule.AfterMatchFiredEvent event)`
    `void` | `afterRuleFlowGroupActivated(org.kie.api.event.rule.RuleFlowGroupActivatedEvent event)`
    `void` | `afterRuleFlowGroupDeactivated(org.kie.api.event.rule.RuleFlowGroupDeactivatedEvent event)`
    `void` | `agendaGroupPopped(org.kie.api.event.rule.AgendaGroupPoppedEvent event)`
    `void` | `agendaGroupPushed(org.kie.api.event.rule.AgendaGroupPushedEvent event)`
    `void` | `beforeMatchFired(org.kie.api.event.rule.BeforeMatchFiredEvent event)`
    `void` | `beforeRuleFlowGroupActivated(org.kie.api.event.rule.RuleFlowGroupActivatedEvent event)`
    `void` | `beforeRuleFlowGroupDeactivated(org.kie.api.event.rule.RuleFlowGroupDeactivatedEvent event)`
    `protected DynamicNode` | `getDynamicNode()`
    `String` | `getNodeName()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `protected boolean` | `isTerminated(org.kie.api.runtime.process.NodeInstance from)`
    `void` | `matchCancelled(org.kie.api.event.rule.MatchCancelledEvent event)`
    `void` | `matchCreated(org.kie.api.event.rule.MatchCreatedEvent event)`
    `void` | `nodeInstanceCompleted(NodeInstance nodeInstance, String outType)`
    `void` | `removeEventListeners()`
    `void` | `signalEvent(String type, Object event)`
    `void` | `triggerCompleted(String outType)`
    `protected void` | `triggerSelectedNode(org.kie.api.definition.process.Node node, Object event)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeContextNodeInstance

      `addContextInstance, getCompositeContextNode, getContextContainer, getContextInstance, getContextInstance, getContextInstance, getContextInstances, removeContextInstance, setContextInstance`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `addNodeInstance, cancel, getCompositeNode, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTriggerOnlyParent, isLinkedIncomingNodeRequired, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, useAsync`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicNodeInstance

          public DynamicNodeInstance()

  - ### Method Detail

    - #### getDynamicNode

          protected DynamicNode getDynamicNode()

    - #### getNodeName

          public String getNodeName()

      Specified by:
        `getNodeName` in interface `org.kie.api.runtime.process.NodeInstance`
      Overrides:
        `getNodeName` in class `NodeInstanceImpl`

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `CompositeNodeInstance`

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `addEventListeners` in class `CompositeNodeInstance`

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `removeEventListeners` in class `CompositeNodeInstance`

    - #### nodeInstanceCompleted

          public void nodeInstanceCompleted(NodeInstance nodeInstance,
                                            String outType)

      Overrides:
        `nodeInstanceCompleted` in class `CompositeNodeInstance`

    - #### triggerCompleted

          public void triggerCompleted(String outType)

      Overrides:
        `triggerCompleted` in class `CompositeNodeInstance`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `EventNodeInstanceInterface`
      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `CompositeNodeInstance`

    - #### isTerminated

          protected boolean isTerminated(org.kie.api.runtime.process.NodeInstance from)

    - #### triggerSelectedNode

          protected void triggerSelectedNode(org.kie.api.definition.process.Node node,
                                             Object event)

    - #### matchCreated

          public void matchCreated(org.kie.api.event.rule.MatchCreatedEvent event)

      Specified by:
        `matchCreated` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### matchCancelled

          public void matchCancelled(org.kie.api.event.rule.MatchCancelledEvent event)

      Specified by:
        `matchCancelled` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### afterMatchFired

          public void afterMatchFired(org.kie.api.event.rule.AfterMatchFiredEvent event)

      Specified by:
        `afterMatchFired` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### agendaGroupPopped

          public void agendaGroupPopped(org.kie.api.event.rule.AgendaGroupPoppedEvent event)

      Specified by:
        `agendaGroupPopped` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### agendaGroupPushed

          public void agendaGroupPushed(org.kie.api.event.rule.AgendaGroupPushedEvent event)

      Specified by:
        `agendaGroupPushed` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### beforeMatchFired

          public void beforeMatchFired(org.kie.api.event.rule.BeforeMatchFiredEvent event)

      Specified by:
        `beforeMatchFired` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### afterRuleFlowGroupActivated

          public void afterRuleFlowGroupActivated(org.kie.api.event.rule.RuleFlowGroupActivatedEvent event)

      Specified by:
        `afterRuleFlowGroupActivated` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### afterRuleFlowGroupDeactivated

          public void afterRuleFlowGroupDeactivated(org.kie.api.event.rule.RuleFlowGroupDeactivatedEvent event)

      Specified by:
        `afterRuleFlowGroupDeactivated` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### beforeRuleFlowGroupActivated

          public void beforeRuleFlowGroupActivated(org.kie.api.event.rule.RuleFlowGroupActivatedEvent event)

      Specified by:
        `beforeRuleFlowGroupActivated` in interface `org.kie.api.event.rule.AgendaEventListener`

    - #### beforeRuleFlowGroupDeactivated

          public void beforeRuleFlowGroupDeactivated(org.kie.api.event.rule.RuleFlowGroupDeactivatedEvent event)

      Specified by:
        `beforeRuleFlowGroupDeactivated` in interface `org.kie.api.event.rule.AgendaEventListener`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.